
Redmine - Defect #11571

Custom fields of type version not proper handled in receiving e-mails

2012-08-02 08:36 - Klaus Günther

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version: 1.4.1

Description

The value of customer fields of type version not converted to a version id while processing a received e-mail. It must be done like the

issue field fixed_version_id.

The code in mail_handler.rb should be something like:

# Returns a Hash of issue custom field values extracted from keywords in the email body

def custom_field_values_from_keywords(customized)

  customized.custom_field_values.inject({}) do |h, v|

    if value = get_keyword(v.custom_field.name, :override => true)

      if v.custom_field.field_format == 'version'

        value = customized.project.shared_versions.named(value).first.try(:id).to_s

      end        

      h[v.custom_field.id.to_s] = value

    end

    h

  end

end

 The problem is also in the current trunk.

Associated revisions

Revision 10157 - 2012-08-06 23:16 - Jean-Philippe Lang

Fixed: Custom fields of type version not proper handled in receiving e-mails (#11571).

History

#1 - 2012-08-02 19:44 - Jean-Philippe Lang

- Subject changed from Customer fields of type version not proper handled in receiving e-mails to Custom fields of type version not proper handled in

receiving e-mails

- Status changed from New to Confirmed

- Target version set to 2.1.0

#2 - 2012-08-06 23:16 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r10157.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/10157
http://www.tcpdf.org

